Debian Bug report logs - #661341
ITP: anope -- a set of IRC Services designed for flexibility and ease of use

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>

Date: Sun, 26 Feb 2012 14:52:10 UTC

Owned by: Dominic Hargreaves <dom@earth.li>

Severity: wishlist

Merged with 698807

Blocking fix for 706417: ircd-hybrid: Not compatible with hybserv

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#661341; Package wnpp. (Sun, 26 Feb 2012 14:52:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Biedl <debian.axhn@manchmal.in-ulm.de>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 26 Feb 2012 14:52:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
To: submit@bugs.debian.org
Subject: ITP: anope -- a set of IRC Services designed for flexibility and ease of use
Date: Sun, 26 Feb 2012 15:46:21 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Owner: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Severity: wishlist

* Package name    : anope
  Version         : 1.9.6
  Upstream Author : Anope Team <team@anope.org>
* URL             : http://www.anope.org/index.php
* License         : GPL-2.0
  Programming Lang: C++
  Description     : a set of IRC Services designed for flexibility and ease of use

=====================================================================
Anope is a set of Services for IRC networks that allows users to
manage their nicks and channels in a secure and efficient way, and
administrators to manage their network with powerful tools.

Currently available services are: NickServ, ChanServ, MemoServ,
BotServ, OperServ, and HostServ.

Anope currently works with:
  - Bahamut 1.4.27 or later (including 1.8)
  - InspIRCd 1.1, 1.2, or 2.0
  - Ratbox 2.0.6 or later
  - UnrealIRCd 3.2 or later
  - Plexus 3 or later
  - ngIRCd 19 or later
=====================================================================

A remark:

Support for ngIRCd is not part of the Anope upstream yet, the patches
have been taken from the upcoming ngircd release 19.

    Christoph
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#661341; Package wnpp. (Mon, 27 Feb 2012 17:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Biedl <debian.axhn@manchmal.in-ulm.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 27 Feb 2012 17:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 661341@bugs.debian.org (full text, mbox):

From: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
To: 661341@bugs.debian.org
Subject: Re: ITP: anope -- a set of IRC Services designed for flexibility and ease of use
Date: Mon, 27 Feb 2012 17:58:25 +0100
[Message part 1 (text/plain, inline)]
Christoph Biedl wrote...

> * Package name    : anope
>   Version         : 1.9.6
>   Upstream Author : Anope Team <team@anope.org>

The Anope project leader has asked me not to upload my packaging, not
even to experimental, until anope has evolved into somewhat more
stable. That might take one or two years.

Since I'm not at all interested in working against upstream's
intention, I will follow that request, sadly though.

    Christoph

[signature.asc (application/pgp-signature, inline)]

Merged 661341 698807 Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Thu, 24 Jan 2013 11:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Christoph Biedl <debian.axhn@manchmal.in-ulm.de>:
Bug#661341; Package wnpp. (Fri, 29 Mar 2013 22:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Christoph Biedl <debian.axhn@manchmal.in-ulm.de>. (Fri, 29 Mar 2013 22:51:08 GMT) Full text and rfc822 format available.

Message #17 received at 661341@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>, 661341@bugs.debian.org
Cc: team@anope.org
Subject: Re: Bug#661341: ITP: anope -- a set of IRC Services designed for flexibility and ease of use
Date: Fri, 29 Mar 2013 22:49:02 +0000
[CC to upstream]

On Mon, Feb 27, 2012 at 05:58:25PM +0100, Christoph Biedl wrote:
> Christoph Biedl wrote...
> 
> > * Package name    : anope
> >   Version         : 1.9.6
> >   Upstream Author : Anope Team <team@anope.org>
> 
> The Anope project leader has asked me not to upload my packaging, not
> even to experimental, until anope has evolved into somewhat more
> stable. That might take one or two years.
> 
> Since I'm not at all interested in working against upstream's
> intention, I will follow that request, sadly though.

This is indeed a shame. (I filed a duplicate of this at #698807; sorry
that I didn't see this one).

My own interest in anope stems from being the maintainer for ircd-hybrid,
whose authors recommend anope over any other services. ircd-hybrid 8
is in experimental and I'm hoping to upload it to unstable shortly after
the wheezy release. ircd-hybrid 8 is not compatible with hybserv (which
has in any case been removed from Debian) and so I am keen to seen
anope enter Debian so that ircd-hybrid can continue be an option for
a services-supported ircd in Debian.

I noticed that anope 1.8.8 has now been released, with ircd-hybrid 8
support.

Anope team, do you have any more thoughts on this - would you be happy to
see Debian package of 1.8.8 appear? I wasn't party to the original
discussion with Christoph.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Christoph Biedl <debian.axhn@manchmal.in-ulm.de>:
Bug#661341; Package wnpp. (Fri, 29 Mar 2013 23:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam <adam@anope.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Christoph Biedl <debian.axhn@manchmal.in-ulm.de>. (Fri, 29 Mar 2013 23:24:04 GMT) Full text and rfc822 format available.

Message #22 received at 661341@bugs.debian.org (full text, mbox):

From: Adam <adam@anope.org>
To: "'Dominic Hargreaves'" <dom@earth.li>, "'Christoph Biedl'" <debian.axhn@manchmal.in-ulm.de>, <661341@bugs.debian.org>
Cc: <team@anope.org>
Subject: RE: Bug#661341: ITP: anope -- a set of IRC Services designed for flexibility and ease of use
Date: Fri, 29 Mar 2013 19:20:57 -0400
Anope 1.8.x is stable and we always recommend packaging it. We would like to
see a 1.8.8 package in Debian.

Adam

-----Original Message-----
From: Dominic Hargreaves [mailto:dom@earth.li] 
Sent: Friday, March 29, 2013 6:49 PM
To: Christoph Biedl; 661341@bugs.debian.org
Cc: team@anope.org
Subject: Re: Bug#661341: ITP: anope -- a set of IRC Services designed for
flexibility and ease of use

[CC to upstream]

On Mon, Feb 27, 2012 at 05:58:25PM +0100, Christoph Biedl wrote:
> Christoph Biedl wrote...
> 
> > * Package name    : anope
> >   Version         : 1.9.6
> >   Upstream Author : Anope Team <team@anope.org>
> 
> The Anope project leader has asked me not to upload my packaging, not
> even to experimental, until anope has evolved into somewhat more
> stable. That might take one or two years.
> 
> Since I'm not at all interested in working against upstream's
> intention, I will follow that request, sadly though.

This is indeed a shame. (I filed a duplicate of this at #698807; sorry
that I didn't see this one).

My own interest in anope stems from being the maintainer for ircd-hybrid,
whose authors recommend anope over any other services. ircd-hybrid 8
is in experimental and I'm hoping to upload it to unstable shortly after
the wheezy release. ircd-hybrid 8 is not compatible with hybserv (which
has in any case been removed from Debian) and so I am keen to seen
anope enter Debian so that ircd-hybrid can continue be an option for
a services-supported ircd in Debian.

I noticed that anope 1.8.8 has now been released, with ircd-hybrid 8
support.

Anope team, do you have any more thoughts on this - would you be happy to
see Debian package of 1.8.8 appear? I wasn't party to the original
discussion with Christoph.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Christoph Biedl <debian.axhn@manchmal.in-ulm.de>:
Bug#661341; Package wnpp. (Sat, 30 Mar 2013 00:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Christoph Biedl <debian.axhn@manchmal.in-ulm.de>. (Sat, 30 Mar 2013 00:00:04 GMT) Full text and rfc822 format available.

Message #27 received at 661341@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Adam <adam@anope.org>
Cc: 'Christoph Biedl' <debian.axhn@manchmal.in-ulm.de>, 661341@bugs.debian.org, team@anope.org
Subject: Re: Bug#661341: ITP: anope -- a set of IRC Services designed for flexibility and ease of use
Date: Fri, 29 Mar 2013 23:56:58 +0000
Aha, great, thanks! Christoph, how do you want to proceed. Are you
interested in packaging 1.8.8? (I assume your current packaging is
based on 1.9.x) or would you like me to take care of it, or
collaborate?

Cheers,
Dominic.

On Fri, Mar 29, 2013 at 07:20:57PM -0400, Adam wrote:
> Anope 1.8.x is stable and we always recommend packaging it. We would like to
> see a 1.8.8 package in Debian.
> 
> Adam
> 
> -----Original Message-----
> From: Dominic Hargreaves [mailto:dom@earth.li] 
> Sent: Friday, March 29, 2013 6:49 PM
> To: Christoph Biedl; 661341@bugs.debian.org
> Cc: team@anope.org
> Subject: Re: Bug#661341: ITP: anope -- a set of IRC Services designed for
> flexibility and ease of use
> 
> [CC to upstream]
> 
> On Mon, Feb 27, 2012 at 05:58:25PM +0100, Christoph Biedl wrote:
> > Christoph Biedl wrote...
> > 
> > > * Package name    : anope
> > >   Version         : 1.9.6
> > >   Upstream Author : Anope Team <team@anope.org>
> > 
> > The Anope project leader has asked me not to upload my packaging, not
> > even to experimental, until anope has evolved into somewhat more
> > stable. That might take one or two years.
> > 
> > Since I'm not at all interested in working against upstream's
> > intention, I will follow that request, sadly though.
> 
> This is indeed a shame. (I filed a duplicate of this at #698807; sorry
> that I didn't see this one).
> 
> My own interest in anope stems from being the maintainer for ircd-hybrid,
> whose authors recommend anope over any other services. ircd-hybrid 8
> is in experimental and I'm hoping to upload it to unstable shortly after
> the wheezy release. ircd-hybrid 8 is not compatible with hybserv (which
> has in any case been removed from Debian) and so I am keen to seen
> anope enter Debian so that ircd-hybrid can continue be an option for
> a services-supported ircd in Debian.
> 
> I noticed that anope 1.8.8 has now been released, with ircd-hybrid 8
> support.
> 
> Anope team, do you have any more thoughts on this - would you be happy to
> see Debian package of 1.8.8 appear? I wasn't party to the original
> discussion with Christoph.
> 
> Cheers,
> Dominic.
> 
> -- 
> Dominic Hargreaves | http://www.larted.org.uk/~dom/
> PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
> 

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)



Added indication that bug 661341 blocks 706417 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 29 Apr 2013 22:27:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Christoph Biedl <debian.axhn@manchmal.in-ulm.de>:
Bug#661341; Package wnpp. (Sun, 15 Sep 2013 11:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Christoph Biedl <debian.axhn@manchmal.in-ulm.de>. (Sun, 15 Sep 2013 11:42:09 GMT) Full text and rfc822 format available.

Message #34 received at 661341@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 'Christoph Biedl' <debian.axhn@manchmal.in-ulm.de>, 661341@bugs.debian.org
Subject: Re: Bug#661341: ITP: anope -- a set of IRC Services designed for flexibility and ease of use
Date: Sun, 15 Sep 2013 12:40:19 +0100
Control: owner -1 !

On Fri, Mar 29, 2013 at 11:56:57PM +0000, Dominic Hargreaves wrote:
> Aha, great, thanks! Christoph, how do you want to proceed. Are you
> interested in packaging 1.8.8? (I assume your current packaging is
> based on 1.9.x) or would you like me to take care of it, or
> collaborate?

I'm now looking at the packaging of Anope 1.8.8 so in the absence
of further responses from Christopher am taking ownership of this
bug. Of course, if Christopher would like to get involved again I'd
be very happy to collaborate.

Dominic.



Owner changed from Christoph Biedl <debian.axhn@manchmal.in-ulm.de> to Dominic Hargreaves <dom@earth.li>. Request was from Dominic Hargreaves <dom@earth.li> to 661341-submit@bugs.debian.org. (Sun, 15 Sep 2013 11:42:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominic Hargreaves <dom@earth.li>:
Bug#661341; Package wnpp. (Mon, 16 Sep 2013 17:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to 'Christoph Biedl' <debian.axhn@manchmal.in-ulm.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominic Hargreaves <dom@earth.li>. (Mon, 16 Sep 2013 17:57:04 GMT) Full text and rfc822 format available.

Message #41 received at 661341@bugs.debian.org (full text, mbox):

From: 'Christoph Biedl' <debian.axhn@manchmal.in-ulm.de>
To: Dominic Hargreaves <dom@earth.li>
Cc: 661341@bugs.debian.org
Subject: Re: Bug#661341: ITP: anope -- a set of IRC Services designed for flexibility and ease of use
Date: Mon, 16 Sep 2013 19:46:51 +0200
[Message part 1 (text/plain, inline)]
Dominic Hargreaves wrote...

> I'm now looking at the packaging of Anope 1.8.8 so in the absence
> of further responses from Christopher am taking ownership of this
> bug. Of course, if Christopher would like to get involved again I'd
> be very happy to collaborate.

Ups. Seems I either oversaw your previous message or I forgot about
it. Since, however, I did not continue my work on Anope anyway, that
package is probably better in your hands.

One request ...  please do the ngircd users a favour and
package 1.9.x since 1.8.x does not have support for ngircd yet.

From my remembrance, Debianisation of Anope wasn't easy, mostly since
it appearently wasn't written with Debian's requirements in mind (just
saying, no one to blame here). I can provide you my incomplete
Debianisation of 1.9.6, but with a no questions asked policy only :)
It's just I forgot most of the gory details. The major things and as
far as I can recall:

* Anope's file system layout is not at all FHS-like, you have to patch
  that. Expect some surprises.

* The module loader uses randomized file names. Completely
  unnecessary, drop that.

* There is an openssl linkage without an according exception by
  upstream. Try to get one (I failed), or ship Anope without.

Cheers,

    Christoph
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#661341; Package wnpp. (Fri, 20 Sep 2013 19:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 20 Sep 2013 19:42:04 GMT) Full text and rfc822 format available.

Message #46 received at 661341@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 'Christoph Biedl' <debian.axhn@manchmal.in-ulm.de>, 661341@bugs.debian.org
Subject: Re: Bug#661341: ITP: anope -- a set of IRC Services designed for flexibility and ease of use
Date: Fri, 20 Sep 2013 20:38:39 +0100
On Mon, Sep 16, 2013 at 07:46:51PM +0200, 'Christoph Biedl' wrote:
> Dominic Hargreaves wrote...
> 
> > I'm now looking at the packaging of Anope 1.8.8 so in the absence
> > of further responses from Christopher am taking ownership of this
> > bug. Of course, if Christopher would like to get involved again I'd
> > be very happy to collaborate.
> 
> Ups. Seems I either oversaw your previous message or I forgot about
> it. Since, however, I did not continue my work on Anope anyway, that
> package is probably better in your hands.
> 
> One request ...  please do the ngircd users a favour and
> package 1.9.x since 1.8.x does not have support for ngircd yet.

Hmm, my understanding is that 1.9.x is exactly what upstream
weren't keen on us packaging. My personal interest is of ircd-hybrid,
which is supported in 1.8.x, so unless there are some really
compelling reasons to switch to 1.9 I'm likely to stick with it.
Maybe it's better to have a separate anope-1.9 for those who need it,
if upstream approve and there is someone to do the work?

> From my remembrance, Debianisation of Anope wasn't easy, mostly since
> it appearently wasn't written with Debian's requirements in mind (just
> saying, no one to blame here). I can provide you my incomplete
> Debianisation of 1.9.6, but with a no questions asked policy only :)
> It's just I forgot most of the gory details. The major things and as
> far as I can recall:
> 
> * Anope's file system layout is not at all FHS-like, you have to patch
>   that. Expect some surprises.
> 
> * The module loader uses randomized file names. Completely
>   unnecessary, drop that.
> 
> * There is an openssl linkage without an according exception by
>   upstream. Try to get one (I failed), or ship Anope without.

Oh, fun. I've already had that debate for ircd-hybrid...

If you could put your packages somewhere for reference, that'd be
great. Thanks for the tips.

Cheers,
Dominic.



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:32:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.